#ifndef _ASM_ALPHA_IPCBITS_H
#define _ASM_ALPHA_IPCBITS_H

#define __KERNEL_IPC_PRIVATE ((__kernel_key_t) 0)

struct ipc_perm
{
  __kernel_key_t key;
  __kernel_uid_t uid;
  __kernel_gid_t gid;
  __kernel_uid_t cuid;
  __kernel_gid_t cgid;
  __kernel_mode_t mode;
  unsigned short seq;
};


/*
 * Resource get request flags
 */
#define __KERNEL_IPC_CREAT  00001000   /* create if key is nonexistent */
#define __KERNEL_IPC_EXCL   00002000   /* fail if key exists */
#define __KERNEL_IPC_NOWAIT 00004000   /* return error on wait */


/* 
 * Control commands used with semctl, msgctl and shmctl 
 * see also specific commands in sem.h, msg.h and shm.h
 */
#define __KERNEL_IPC_RMID 0     /* remove resource */
#define __KERNEL_IPC_SET  1     /* set ipc_perm options */
#define __KERNEL_IPC_STAT 2     /* get ipc_perm options */
#define __KERNEL_IPC_INFO 3     /* see ipcs */

#endif /* _ASM_ALPHA_IPCBITS_H */
