#ifndef _ASM_ALPHA_MSGBITS_H
#define _ASM_ALPHA_MSGBITS_H

/* msgrcv options */
#define __KERNEL_MSG_NOERROR 010000  /* no error if message is too big */
#define __KERNEL_MSG_EXCEPT  020000  /* recv any msg except of specified type.*/

/* one msqid structure for each queue on the system */
struct msqid_ds {
    struct ipc_perm msg_perm;
    struct msg *msg_first;	/* first message on queue */
    struct msg *msg_last;	/* last message in queue */
    __kernel_time_t msg_stime;  /* last msgsnd time */
    __kernel_time_t msg_rtime;  /* last msgrcv time */
    __kernel_time_t msg_ctime;  /* last change time */
    struct wait_queue *wwait;
    struct wait_queue *rwait;
    unsigned short msg_cbytes;  /* current number of bytes on queue */
    unsigned short msg_qnum;    /* number of messages in queue */
    unsigned short msg_qbytes;  /* max number of bytes on queue */
    __kernel_pid_t msg_lspid;   /* pid of last msgsnd */
    __kernel_pid_t msg_lrpid;   /* last receive pid */
};

/* message buffer for msgsnd and msgrcv calls */
struct msgbuf {
    long mtype;         /* type of message */
    char mtext[1];      /* message text */
};

/* ipcs ctl commands */
#define __KERNEL_MSG_STAT 11
#define __KERNEL_MSG_INFO 12

#endif /* _ASM_ALPHA_MSGBITS_H */
