#ifndef _ASM_ALPHA_SEMBITS_H
#define _ASM_ALPHA_SEMBITS_H

/* semop flags */
#define __KERNEL_SEM_UNDO        0x1000  /* undo the operation on exit */

/* semctl Command Definitions. */
#define __KERNEL_GETPID  11       /* get sempid */
#define __KERNEL_GETVAL  12       /* get semval */
#define __KERNEL_GETALL  13       /* get all semval's */
#define __KERNEL_GETNCNT 14       /* get semncnt */
#define __KERNEL_GETZCNT 15       /* get semzcnt */
#define __KERNEL_SETVAL  16       /* set semval */
#define __KERNEL_SETALL  17       /* set all semval's */

/* One semid data structure for each set of semaphores in the system. */
struct semid_ds {
  struct ipc_perm sem_perm;            /* permissions .. see ipc.h */
  __kernel_time_t sem_otime;           /* last semop time */
  __kernel_time_t sem_ctime;           /* last change time */
  struct sem      *sem_base;           /* ptr to first semaphore in array */
  struct sem_queue *sem_pending;       /* pending operations to be processed */
  struct sem_queue **sem_pending_last; /* last pending operation */
  struct sem_undo *undo;	       /* undo requests on this array */
  unsigned short  sem_nsems;           /* no. of semaphores in array */
};

/* semop system calls takes an array of these. */
struct sembuf {
  unsigned short sem_num; /* semaphore index in array */
  short   sem_op;         /* semaphore operation */
  short   sem_flg;        /* operation flags */
};

/* arg for semctl system calls. */
union semun {
  int val;			/* value for SETVAL */
  struct semid_ds *buf;		/* buffer for IPC_STAT & IPC_SET */
  unsigned short *array;	/* array for GETALL & SETALL */
  struct seminfo *__buf;	/* buffer for IPC_INFO */
  void *__pad;
};

/* ipcs ctl cmds */
#define __KERNEL_SEM_STAT 18
#define __KERNEL_SEM_INFO 19

#endif /* _ASM_ALPHA_SEMBITS_H */
