#ifndef _ASM_ALPHA_SHMBITS_H
#define _ASM_ALPHA_SHMBITS_H

struct shmid_ds {
	struct ipc_perm shm_perm;	/* operation perms */
	int		shm_segsz;	/* size of segment (bytes) */
	__kernel_time_t	shm_atime;	/* last attach time */
	__kernel_time_t	shm_dtime;	/* last detach time */
	__kernel_time_t	shm_ctime;	/* last change time */
	__kernel_pid_t  shm_cpid;	/* pid of creator */
	__kernel_pid_t  shm_lpid;	/* pid of last operator */
	unsigned short  shm_nattch;	/* no. of current attaches */
	/* the following are private */
	unsigned short   shm_npages;	/* size of segment (pages) */
	unsigned long   *shm_pages;	/* array of ptrs to frames -> SHMMAX */ 
	struct vm_area_struct *attaches; /* descriptors for attaches */
};

/* permission flag for shmget */
#define __KERNEL_SHM_R		0400	/* or S_IRUGO from <linux/stat.h> */
#define __KERNEL_SHM_W		0200	/* or S_IWUGO from <linux/stat.h> */

/* mode for attach */
#define	__KERNEL_SHM_RDONLY	010000	/* read-only access */
#define	__KERNEL_SHM_RND	020000	/* round attach address to SHMLBA boundary */
#define	__KERNEL_SHM_REMAP	040000	/* take-over region on attach */

/* super user shmctl commands */
#define __KERNEL_SHM_LOCK 	11
#define __KERNEL_SHM_UNLOCK 	12

/* ipcs ctl commands */
#define __KERNEL_SHM_STAT 	13
#define __KERNEL_SHM_INFO 	14

/* shm_mode upper byte flags */
#define	__KERNEL_SHM_DEST	01000	/* segment will be destroyed on last detach */
#define __KERNEL_SHM_LOCKED      02000   /* segment will not be swapped */

#endif /* _ASM_ALPHA_SHMBITS_H */
