#ifndef _ASM_ALPHA_SIGNUM_H
#define _ASM_ALPHA_SIGNUM_H

#include <linux/posix_types.h>

#define SIG_DFL	((__kernel_sighandler_t)  0)	/* default signal handling */
#define SIG_IGN	((__kernel_sighandler_t)  1)	/* ignore signal */
#define SIG_ERR	((__kernel_sighandler_t) -1)	/* error return from signal */

/*
 * Linux/Alpha has different signal numbers than Linux/i386: I'm trying
 * to make it OSF/1 binary compatible, at least for normal binaries.
 */
#define SIGHUP		 1
#define SIGINT		 2
#define SIGQUIT		 3
#define SIGILL		 4
#define SIGTRAP		 5
#define SIGABRT		 6
#define SIGEMT		 7
#define SIGFPE		 8
#define SIGKILL		 9
#define SIGBUS		10
#define SIGSEGV		11
#define SIGSYS		12
#define SIGPIPE		13
#define SIGALRM		14
#define SIGTERM		15
#define SIGURG		16
#define SIGSTOP		17
#define SIGTSTP		18
#define SIGCONT		19
#define SIGCHLD		20
#define SIGTTIN		21
#define SIGTTOU		22
#define SIGIO		23
#define SIGXCPU		24
#define SIGXFSZ		25
#define SIGVTALRM	26
#define SIGPROF		27
#define SIGWINCH	28
#define SIGINFO		29
#define SIGUSR1		30
#define SIGUSR2		31

#define SIGPOLL	SIGIO
#define SIGPWR	SIGINFO
#define SIGIOT	SIGABRT

#define _NSIG             32

#ifndef __KERNEL_STRICT_NAMES
# define NSIG		_NSIG
#endif

#endif /* _ASM_ALPHA_SIGNUM_H */
