#ifndef __linux_namecompat_h__
#define __linux_namecompat_h__

/*
 * In a few places, the Linux kernel uses "funny" names for structures
 * etc. that are not compatible with the requirements of some of the
 * POSIX/ANSI/ISO-related standards.  Eventually, the Linux kernel will
 * hopefully adopt the standard names, but in the meantime, we provide
 * the following macro to provide the right name, depending on whether
 * we're compiling in a POSIX or in a kernel or some other, non-POSIX
 * environment.  Needless to say: use sparingly...
 */
#ifdef __KERNEL_STRICT_NAMES
# define __KERNEL_NAME(a,b)	b
#else
# define __KERNEL_NAME(a,b)	a
#endif

#endif /* __linux_namecompat_h__ */
