#ifndef _LINUX_SHM_H_
#define _LINUX_SHM_H_

#include <linux/ipc.h>
#include <asm/shmbits.h>

#ifndef __KERNEL_STRICT_NAMES
# include <asm/shminfobits.h>
# include <asm/shmparam.h>
#endif

#ifndef __KERNEL_STRICT_NAMES
# define SHM_R		__KERNEL_SHM_R
# define SHM_W		__KERNEL_SHM_W
# define SHM_RDONLY	__KERNEL_SHM_RDONLY
# define SHM_RND	__KERNEL_SHM_RND
# define SHM_REMAP	__KERNEL_SHM_REMAP
# define SHM_LOCK	__KERNEL_SHM_LOCK
# define SHM_UNLOCK	__KERNEL_SHM_UNLOCK
# define SHM_STAT	__KERNEL_SHM_STAT
# define SHM_INFO	__KERNEL_SHM_INFO
# define SHM_DEST	__KERNEL_SHM_DEST
# define SHM_LOCKED	__KERNEL_SHM_LOCKED
#endif

#ifdef __KERNEL__

asmlinkage int sys_shmget (key_t key, int size, int flag);
asmlinkage int sys_shmat (int shmid, char *shmaddr, int shmflg, unsigned long *addr);
asmlinkage int sys_shmdt (char *shmaddr);
asmlinkage int sys_shmctl (int shmid, int cmd, struct shmid_ds *buf);

#endif /* __KERNEL__ */

#endif /* _LINUX_SHM_H_ */

