#ifndef _LINUX_STAT_H
#define _LINUX_STAT_H

#ifdef __KERNEL__

#include <asm/stat.h>

#endif

#define __S_IFMT	00170000
#define __S_IFSOCK	0140000
#define __S_IFLNK	0120000
#define __S_IFREG	0100000
#define __S_IFBLK	0060000
#define __S_IFDIR	0040000
#define __S_IFCHR	0020000
#define __S_IFIFO	0010000
#define __S_ISUID	0004000
#define __S_ISGID	0002000
#define __S_ISVTX	0001000

#ifndef __KERNEL_STRICT_NAMES
#define S_IFMT		__S_IFMT
#define S_IFSOCK	__S_IFSOCK
#define S_IFLNK		__S_IFLNK	
#define S_IFREG		__S_IFREG	
#define S_IFBLK		__S_IFBLK	
#define S_IFDIR		__S_IFDIR	
#define S_IFCHR		__S_IFCHR	
#define S_IFIFO		__S_IFIFO	
#define S_ISUID		__S_ISUID	
#define S_ISGID		__S_ISGID	
#define S_ISVTX		__S_ISVTX	
#endif

#define S_ISLNK(m)	(((m) & __S_IFMT) == __S_IFLNK)
#define S_ISREG(m)	(((m) & __S_IFMT) == __S_IFREG)
#define S_ISDIR(m)	(((m) & __S_IFMT) == __S_IFDIR)
#define S_ISCHR(m)	(((m) & __S_IFMT) == __S_IFCHR)
#define S_ISBLK(m)	(((m) & __S_IFMT) == __S_IFBLK)
#define S_ISFIFO(m)	(((m) & __S_IFMT) == __S_IFIFO)
#define S_ISSOCK(m)	(((m) & __S_IFMT) == __S_IFSOCK)

#define S_IRWXU 00700
#define S_IRUSR 00400
#define S_IWUSR 00200
#define S_IXUSR 00100

#define S_IRWXG 00070
#define S_IRGRP 00040
#define S_IWGRP 00020
#define S_IXGRP 00010

#define S_IRWXO 00007
#define S_IROTH 00004
#define S_IWOTH 00002
#define S_IXOTH 00001

#ifdef __KERNEL__
#define S_IRWXUGO	(S_IRWXU|S_IRWXG|S_IRWXO)
#define S_IALLUGO	(S_ISUID|S_ISGID|S_ISVTX|S_IRWXUGO)
#define S_IRUGO		(S_IRUSR|S_IRGRP|S_IROTH)
#define S_IWUGO		(S_IWUSR|S_IWGRP|S_IWOTH)
#define S_IXUGO		(S_IXUSR|S_IXGRP|S_IXOTH)
#endif

#endif
