#ifndef _LINUX_TIME_H
#define _LINUX_TIME_H

/*
 * Names of the interval timers, and structure
 * defining a timer setting.
 */
#define	__KERNEL_ITIMER_REAL	0
#define	__KERNEL_ITIMER_VIRTUAL	1
#define	__KERNEL_ITIMER_PROF	2

struct timeval {
	int	tv_sec;		/* seconds */
	int	tv_usec;	/* microseconds */
};

struct timezone {
	int	tz_minuteswest;	/* minutes west of Greenwich */
	int	tz_dsttime;	/* type of dst correction */
};

struct itimerval {
	struct	timeval it_interval;	/* timer interval */
	struct	timeval it_value;	/* current value */
};

#ifdef __KERNEL__
void do_gettimeofday(struct timeval *tv);
void do_settimeofday(struct timeval *tv);
#endif

#ifndef __KERNEL_STRICT_NAMES
# include <linux/timespecbits.h>

# ifndef NFDBITS
#  define NFDBITS		__NFDBITS
#  define FD_SETSIZE		__FD_SETSIZE
#  define FD_SET(fd,fdsetp)	__FD_SET(fd,fdsetp)
#  define FD_CLR(fd,fdsetp)	__FD_CLR(fd,fdsetp)
#  define FD_ISSET(fd,fdsetp)	__FD_ISSET(fd,fdsetp)
#  define FD_ZERO(fdsetp)	__FD_ZERO(fdsetp)
# endif
/*
 * Names of the interval timers, and structure
 * defining a timer setting.
 */
# define ITIMER_REAL	__KERNEL_ITIMER_REAL
# define ITIMER_VIRTUAL	__KERNEL_ITIMER_VIRTUAL
# define ITIMER_PROF	__KERNEL_ITIMER_PROF
#endif /* !__KERNEL_STRICT_NAMES */

#endif /* _LINUX_TIME_H */
